OpenShot Audio Library | OpenShotAudio: juce::WavAudioFormat Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
juce::WavAudioFormat Class Reference

`#include <juce_WavAudioFormat.h>`

Inheritance diagram for juce::WavAudioFormat:

## Public Member Functions
| WavAudioFormat ()
| ~WavAudioFormat () override
Array< int > | getPossibleSampleRates () override
Array< int > | getPossibleBitDepths () override
bool | canDoStereo () override
bool | canDoMono () override
bool | isChannelLayoutSupported (const AudioChannelSet &channelSet) override
AudioFormatReader * | createReaderFor (InputStream *sourceStream, bool deleteStreamIfOpeningFails) override
MemoryMappedAudioFormatReader * | createMemoryMappedReader (const File &) override
MemoryMappedAudioFormatReader * | createMemoryMappedReader (FileInputStream *) override
AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, unsigned int numberOfChannels, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex) override
AudioFormatWriter * | createWriterFor (OutputStream *streamToWriteTo, double sampleRateToUse, const AudioChannelSet &channelLayout, int bitsPerSample, const StringPairArray &metadataValues, int qualityOptionIndex) override
bool | replaceMetadataInFile (const File &wavFile, const StringPairArray &newMetadata)
Public Member Functions inherited from juce::AudioFormat
virtual | ~AudioFormat ()
const String & | getFormatName () const
virtual StringArray | getFileExtensions () const
virtual bool | canHandleFile (const File &fileToTest)
virtual bool | isCompressed ()
virtual StringArray | getQualityOptions ()

## Static Public Member Functions
static StringPairArray | createBWAVMetadata (const String &description, const String &originator, const String &originatorRef, Time dateAndTime, int64 timeReferenceSamples, const String &codingHistory)

## Static Public Attributes
static const char *const | bwavDescription = "bwav description"
static const char *const | bwavOriginator = "bwav originator"
static const char *const | bwavOriginatorRef = "bwav originator ref"
static const char *const | bwavOriginationDate = "bwav origination date"
static const char *const | bwavOriginationTime = "bwav origination time"
static const char *const | bwavCodingHistory = "bwav coding history"
static const char *const | bwavTimeReference = "bwav time reference"
static const char *const | acidOneShot = "acid one shot"
static const char *const | acidRootSet = "acid root set"
static const char *const | acidStretch = "acid stretch"
static const char *const | acidDiskBased = "acid disk based"
static const char *const | acidizerFlag = "acidizer flag"
static const char *const | acidRootNote = "acid root note"
static const char *const | acidBeats = "acid beats"
static const char *const | acidDenominator = "acid denominator"
static const char *const | acidNumerator = "acid numerator"
static const char *const | acidTempo = "acid tempo"
static const char *const | riffInfoArchivalLocation = "IARL"
static const char *const | riffInfoArtist = "IART"
static const char *const | riffInfoBaseURL = "IBSU"
static const char *const | riffInfoCinematographer = "ICNM"
static const char *const | riffInfoComment = "CMNT"
static const char *const | riffInfoComment2 = "ICMT"
static const char *const | riffInfoComments = "COMM"
static const char *const | riffInfoCommissioned = "ICMS"
static const char *const | riffInfoCopyright = "ICOP"
static const char *const | riffInfoCostumeDesigner = "ICDS"
static const char *const | riffInfoCountry = "ICNT"
static const char *const | riffInfoCropped = "ICRP"
static const char *const | riffInfoDateCreated = "ICRD"
static const char *const | riffInfoDateTimeOriginal = "IDIT"
static const char *const | riffInfoDefaultAudioStream = "ICAS"
static const char *const | riffInfoDimension = "IDIM"
static const char *const | riffInfoDirectory = "DIRC"
static const char *const | riffInfoDistributedBy = "IDST"
static const char *const | riffInfoDotsPerInch = "IDPI"
static const char *const | riffInfoEditedBy = "IEDT"
static const char *const | riffInfoEighthLanguage = "IAS8"
static const char *const | riffInfoEncodedBy = "CODE"
static const char *const | riffInfoEndTimecode = "TCDO"
static const char *const | riffInfoEngineer = "IENG"
static const char *const | riffInfoFifthLanguage = "IAS5"
static const char *const | riffInfoFirstLanguage = "IAS1"
static const char *const | riffInfoFourthLanguage = "IAS4"
static const char *const | riffInfoGenre = "GENR"
static const char *const | riffInfoKeywords = "IKEY"
static const char *const | riffInfoLanguage = "LANG"
static const char *const | riffInfoLength = "TLEN"
static const char *const | riffInfoLightness = "ILGT"
static const char *const | riffInfoLocation = "LOCA"
static const char *const | riffInfoLogoIconURL = "ILIU"
static const char *const | riffInfoLogoURL = "ILGU"
static const char *const | riffInfoMedium = "IMED"
static const char *const | riffInfoMoreInfoBannerImage = "IMBI"
static const char *const | riffInfoMoreInfoBannerURL = "IMBU"
static const char *const | riffInfoMoreInfoText = "IMIT"
static const char *const | riffInfoMoreInfoURL = "IMIU"
static const char *const | riffInfoMusicBy = "IMUS"
static const char *const | riffInfoNinthLanguage = "IAS9"
static const char *const | riffInfoNumberOfParts = "PRT2"
static const char *const | riffInfoOrganisation = "TORG"
static const char *const | riffInfoPart = "PRT1"
static const char *const | riffInfoProducedBy = "IPRO"
static const char *const | riffInfoProductName = "IPRD"
static const char *const | riffInfoProductionDesigner = "IPDS"
static const char *const | riffInfoProductionStudio = "ISDT"
static const char *const | riffInfoRate = "RATE"
static const char *const | riffInfoRated = "AGES"
static const char *const | riffInfoRating = "IRTD"
static const char *const | riffInfoRippedBy = "IRIP"
static const char *const | riffInfoSecondaryGenre = "ISGN"
static const char *const | riffInfoSecondLanguage = "IAS2"
static const char *const | riffInfoSeventhLanguage = "IAS7"
static const char *const | riffInfoSharpness = "ISHP"
static const char *const | riffInfoSixthLanguage = "IAS6"
static const char *const | riffInfoSoftware = "ISFT"
static const char *const | riffInfoSoundSchemeTitle = "DISP"
static const char *const | riffInfoSource = "ISRC"
static const char *const | riffInfoSourceFrom = "ISRF"
static const char *const | riffInfoStarring_ISTR = "ISTR"
static const char *const | riffInfoStarring_STAR = "STAR"
static const char *const | riffInfoStartTimecode = "TCOD"
static const char *const | riffInfoStatistics = "STAT"
static const char *const | riffInfoSubject = "ISBJ"
static const char *const | riffInfoTapeName = "TAPE"
static const char *const | riffInfoTechnician = "ITCH"
static const char *const | riffInfoThirdLanguage = "IAS3"
static const char *const | riffInfoTimeCode = "ISMP"
static const char *const | riffInfoTitle = "INAM"
static const char *const | riffInfoTrackNo = "IPRT"
static const char *const | riffInfoTrackNumber = "TRCK"
static const char *const | riffInfoURL = "TURL"
static const char *const | riffInfoVegasVersionMajor = "VMAJ"
static const char *const | riffInfoVegasVersionMinor = "VMIN"
static const char *const | riffInfoVersion = "TVER"
static const char *const | riffInfoWatermarkURL = "IWMU"
static const char *const | riffInfoWrittenBy = "IWRI"
static const char *const | riffInfoYear = "YEAR"
static const char *const | aswgContentType = "contentType"
static const char *const | aswgProject = "project"
static const char *const | aswgOriginator = "originator"
static const char *const | aswgOriginatorStudio = "originatorStudio"
static const char *const | aswgNotes = "notes"
static const char *const | aswgSession = "session"
static const char *const | aswgState = "state"
static const char *const | aswgEditor = "editor"
static const char *const | aswgMixer = "mixer"
static const char *const | aswgFxChainName = "fxChainName"
static const char *const | aswgChannelConfig = "channelConfig"
static const char *const | aswgAmbisonicFormat = "ambisonicFormat"
static const char *const | aswgAmbisonicChnOrder = "ambisonicChnOrder"
static const char *const | aswgAmbisonicNorm = "ambisonicNorm"
static const char *const | aswgMicType = "micType"
static const char *const | aswgMicConfig = "micConfig"
static const char *const | aswgMicDistance = "micDistance"
static const char *const | aswgRecordingLoc = "recordingLoc"
static const char *const | aswgIsDesigned = "isDesigned"
static const char *const | aswgRecEngineer = "recEngineer"
static const char *const | aswgRecStudio = "recStudio"
static const char *const | aswgImpulseLocation = "impulseLocation"
static const char *const | aswgCategory = "category"
static const char *const | aswgSubCategory = "subCategory"
static const char *const | aswgCatId = "catId"
static const char *const | aswgUserCategory = "userCategory"
static const char *const | aswgUserData = "userData"
static const char *const | aswgVendorCategory = "vendorCategory"
static const char *const | aswgFxName = "fxName"
static const char *const | aswgLibrary = "library"
static const char *const | aswgCreatorId = "creatorId"
static const char *const | aswgSourceId = "sourceId"
static const char *const | aswgRmsPower = "rmsPower"
static const char *const | aswgLoudness = "loudness"
static const char *const | aswgLoudnessRange = "loudnessRange"
static const char *const | aswgMaxPeak = "maxPeak"
static const char *const | aswgSpecDensity = "specDensity"
static const char *const | aswgZeroCrossRate = "zeroCrossRate"
static const char *const | aswgPapr = "papr"
static const char *const | aswgText = "text"
static const char *const | aswgEfforts = "efforts"
static const char *const | aswgEffortType = "effortType"
static const char *const | aswgProjection = "projection"
static const char *const | aswgLanguage = "language"
static const char *const | aswgTimingRestriction = "timingRestriction"
static const char *const | aswgCharacterName = "characterName"
static const char *const | aswgCharacterGender = "characterGender"
static const char *const | aswgCharacterAge = "characterAge"
static const char *const | aswgCharacterRole = "characterRole"
static const char *const | aswgActorName = "actorName"
static const char *const | aswgActorGender = "actorGender"
static const char *const | aswgDirector = "director"
static const char *const | aswgDirection = "direction"
static const char *const | aswgFxUsed = "fxUsed"
static const char *const | aswgUsageRights = "usageRights"
static const char *const | aswgIsUnion = "isUnion"
static const char *const | aswgAccent = "accent"
static const char *const | aswgEmotion = "emotion"
static const char *const | aswgComposor = "composor"
static const char *const | aswgArtist = "artist"
static const char *const | aswgSongTitle = "songTitle"
static const char *const | aswgGenre = "genre"
static const char *const | aswgSubGenre = "subGenre"
static const char *const | aswgProducer = "producer"
static const char *const | aswgMusicSup = "musicSup"
static const char *const | aswgInstrument = "instrument"
static const char *const | aswgMusicPublisher = "musicPublisher"
static const char *const | aswgRightsOwner = "rightsOwner"
static const char *const | aswgIsSource = "isSource"
static const char *const | aswgIsLoop = "isLoop"
static const char *const | aswgIntensity = "intensity"
static const char *const | aswgIsFinal = "isFinal"
static const char *const | aswgOrderRef = "orderRef"
static const char *const | aswgIsOst = "isOst"
static const char *const | aswgIsCinematic = "isCinematic"
static const char *const | aswgIsLicensed = "isLicensed"
static const char *const | aswgIsDiegetic = "isDiegetic"
static const char *const | aswgMusicVersion = "musicVersion"
static const char *const | aswgIsrcId = "isrcId"
static const char *const | aswgTempo = "tempo"
static const char *const | aswgTimeSig = "timeSig"
static const char *const | aswgInKey = "inKey"
static const char *const | aswgBillingCode = "billingCode"
static const char *const | aswgVersion = "IXML_VERSION"
static const char *const | ISRC = "ISRC"
static const char *const | internationalStandardRecordingCode = "international standard recording code"
static const char *const | tracktionLoopInfo = "tracktion loop info"

## Additional Inherited Members
Protected Member Functions inherited from juce::AudioFormat
| AudioFormat (String formatName, StringArray fileExtensions)
| AudioFormat (StringRef formatName, StringRef fileExtensions)

## Detailed Description

Reads and Writes WAV format audio files.

See also
  AudioFormat

Definition at line 37 of file juce_WavAudioFormat.h.

## Constructor & Destructor Documentation

## ◆ WavAudioFormat()

juce::WavAudioFormat::WavAudioFormat | ( |  | ) |

Creates a format object.

Definition at line 1943 of file juce_WavAudioFormat.cpp.

## ◆ ~WavAudioFormat()

juce::WavAudioFormat::~WavAudioFormat | ( |  | ) |
| override

Destructor.

Definition at line 1944 of file juce_WavAudioFormat.cpp.

## Member Function Documentation

## ◆ canDoMono()

bool juce::WavAudioFormat::canDoMono | ( |  | ) |
| overridevirtual

Returns true if the format can do 1-channel audio.

Implements juce::AudioFormat.

Definition at line 1958 of file juce_WavAudioFormat.cpp.

## ◆ canDoStereo()

bool juce::WavAudioFormat::canDoStereo | ( |  | ) |
| overridevirtual

Returns true if the format can do 2-channel audio.

Implements juce::AudioFormat.

Definition at line 1957 of file juce_WavAudioFormat.cpp.

## ◆ createBWAVMetadata()

StringPairArray juce::WavAudioFormat::createBWAVMetadata | ( | const String & | description,
|  | const String & | originator,
|  | const String & | originatorRef,
|  | Time | dateAndTime,
|  | int64 | timeReferenceSamples,
|  | const String & | codingHistory )
| static

Utility function to fill out the appropriate metadata for a BWAV file.

This just makes it easier than using the property names directly, and it fills out the time and date in the right format.

Definition at line 58 of file juce_WavAudioFormat.cpp.

## ◆ createMemoryMappedReader() [1/2]

MemoryMappedAudioFormatReader * juce::WavAudioFormat::createMemoryMappedReader | ( | const File & | file | ) |
| overridevirtual

Attempts to create a MemoryMappedAudioFormatReader, if possible for this format. If the format does not support this, the method will return nullptr;

Reimplemented from juce::AudioFormat.

Definition at line 1997 of file juce_WavAudioFormat.cpp.

Referenced by createMemoryMappedReader().

## ◆ createMemoryMappedReader() [2/2]

MemoryMappedAudioFormatReader * juce::WavAudioFormat::createMemoryMappedReader | ( | FileInputStream * | fin | ) |
| overridevirtual

Reimplemented from juce::AudioFormat.

Definition at line 2002 of file juce_WavAudioFormat.cpp.

## ◆ createReaderFor()

AudioFormatReader * juce::WavAudioFormat::createReaderFor | ( | InputStream * | sourceStream,
|  | bool | deleteStreamIfOpeningFails )
| overridevirtual

Tries to create an object that can read from a stream containing audio data in this format.

The reader object that is returned can be used to read from the stream, and should then be deleted by the caller.

Parameters

  sourceStream | the stream to read from - the AudioFormatReader object that is returned will delete this stream when it no longer needs it.
  deleteStreamIfOpeningFails | if no reader can be created, this determines whether this method should delete the stream object that was passed-in. (If a valid reader is returned, it will always be in charge of deleting the stream, so this parameter is ignored)

See also
  AudioFormatReader

Implements juce::AudioFormat.

Definition at line 1976 of file juce_WavAudioFormat.cpp.

Referenced by replaceMetadataInFile().

## ◆ createWriterFor() [1/2]

AudioFormatWriter * juce::WavAudioFormat::createWriterFor | ( | OutputStream * | streamToWriteTo,
|  | double | sampleRateToUse,
|  | const AudioChannelSet & | channelLayout,
|  | int | bitsPerSample,
|  | const StringPairArray & | metadataValues,
|  | int | qualityOptionIndex )
| overridevirtual

Tries to create an object that can write to a stream with this audio format.

The writer object that is returned can be used to write to the stream, and should then be deleted by the caller.

If the stream can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | the stream that the data will go to - this will be deleted by the AudioFormatWriter object when it's no longer needed. If no AudioFormatWriter can be created by this method, the stream will NOT be deleted, so that the caller can re-use it to try to open a different format, etc
  sampleRateToUse | the sample rate for the file, which must be one of the ones returned by getPossibleSampleRates()
  channelLayout | the channel layout for the file. Use isChannelLayoutSupported to check if the writer supports this layout.
  bitsPerSample | the bits per sample to use - this must be one of the values returned by getPossibleBitDepths()
  metadataValues | a set of metadata values that the writer should try to write to the stream. Exactly what these are depends on the format, and the subclass doesn't actually have to do anything with them if it doesn't want to. Have a look at the specific format implementation classes to see possible values that can be used
  qualityOptionIndex | the index of one of compression qualities returned by the getQualityOptions() method. If there aren't any quality options for this format, just pass 0 in this parameter, as it'll be ignored

See also
  AudioFormatWriter

Reimplemented from juce::AudioFormat.

Definition at line 2023 of file juce_WavAudioFormat.cpp.

## ◆ createWriterFor() [2/2]

AudioFormatWriter * juce::WavAudioFormat::createWriterFor | ( | OutputStream * | streamToWriteTo,
|  | double | sampleRateToUse,
|  | unsigned int | numberOfChannels,
|  | int | bitsPerSample,
|  | const StringPairArray & | metadataValues,
|  | int | qualityOptionIndex )
| overridevirtual

Tries to create an object that can write to a stream with this audio format.

The writer object that is returned can be used to write to the stream, and should then be deleted by the caller.

If the stream can't be created for some reason (e.g. the parameters passed in here aren't suitable), this will return nullptr.

Parameters

  streamToWriteTo | the stream that the data will go to - this will be deleted by the AudioFormatWriter object when it's no longer needed. If no AudioFormatWriter can be created by this method, the stream will NOT be deleted, so that the caller can re-use it to try to open a different format, etc
  sampleRateToUse | the sample rate for the file, which must be one of the ones returned by getPossibleSampleRates()
  numberOfChannels | the number of channels
  bitsPerSample | the bits per sample to use - this must be one of the values returned by getPossibleBitDepths()
  metadataValues | a set of metadata values that the writer should try to write to the stream. Exactly what these are depends on the format, and the subclass doesn't actually have to do anything with them if it doesn't want to. Have a look at the specific format implementation classes to see possible values that can be used
  qualityOptionIndex | the index of one of compression qualities returned by the getQualityOptions() method. If there aren't any quality options for this format, just pass 0 in this parameter, as it'll be ignored

See also
  AudioFormatWriter

Implements juce::AudioFormat.

Definition at line 2015 of file juce_WavAudioFormat.cpp.

Referenced by createWriterFor().

## ◆ getPossibleBitDepths()

Array< int > juce::WavAudioFormat::getPossibleBitDepths | ( |  | ) |
| overridevirtual

Returns a set of bit depths that the format can read and write.

Implements juce::AudioFormat.

Definition at line 1952 of file juce_WavAudioFormat.cpp.

Referenced by createWriterFor().

## ◆ getPossibleSampleRates()

Array< int > juce::WavAudioFormat::getPossibleSampleRates | ( |  | ) |
| overridevirtual

Returns a set of sample rates that the format can read and write.

Implements juce::AudioFormat.

Definition at line 1946 of file juce_WavAudioFormat.cpp.

## ◆ isChannelLayoutSupported()

bool juce::WavAudioFormat::isChannelLayoutSupported | ( | const AudioChannelSet & | channelSet | ) |
| overridevirtual

Returns true if the channel layout is supported by this format.

Reimplemented from juce::AudioFormat.

Definition at line 1960 of file juce_WavAudioFormat.cpp.

Referenced by createWriterFor().

## ◆ replaceMetadataInFile()

bool juce::WavAudioFormat::replaceMetadataInFile | ( | const File & | wavFile,
|  | const StringPairArray & | newMetadata )

Utility function to replace the metadata in a wav file with a new set of values.

If possible, this cheats by overwriting just the metadata region of the file, rather than by copying the whole file again.

Definition at line 2073 of file juce_WavAudioFormat.cpp.

## Member Data Documentation

## ◆ acidBeats

const char *const juce::WavAudioFormat::acidBeats = "acid beats"
| static

Metadata property name used in acid chunks.

Definition at line 88 of file juce_WavAudioFormat.h.

## ◆ acidDenominator

const char *const juce::WavAudioFormat::acidDenominator = "acid denominator"
| static

Metadata property name used in acid chunks.

Definition at line 89 of file juce_WavAudioFormat.h.

## ◆ acidDiskBased

const char *const juce::WavAudioFormat::acidDiskBased = "acid disk based"
| static

Metadata property name used in acid chunks.

Definition at line 85 of file juce_WavAudioFormat.h.

## ◆ acidizerFlag

const char *const juce::WavAudioFormat::acidizerFlag = "acidizer flag"
| static

Metadata property name used in acid chunks.

Definition at line 86 of file juce_WavAudioFormat.h.

## ◆ acidNumerator

const char *const juce::WavAudioFormat::acidNumerator = "acid numerator"
| static

Metadata property name used in acid chunks.

Definition at line 90 of file juce_WavAudioFormat.h.

## ◆ acidOneShot

const char *const juce::WavAudioFormat::acidOneShot = "acid one shot"
| static

Metadata property name used in acid chunks.

Definition at line 82 of file juce_WavAudioFormat.h.

## ◆ acidRootNote

const char *const juce::WavAudioFormat::acidRootNote = "acid root note"
| static

Metadata property name used in acid chunks.

Definition at line 87 of file juce_WavAudioFormat.h.

## ◆ acidRootSet

const char *const juce::WavAudioFormat::acidRootSet = "acid root set"
| static

Metadata property name used in acid chunks.

Definition at line 83 of file juce_WavAudioFormat.h.

## ◆ acidStretch

const char *const juce::WavAudioFormat::acidStretch = "acid stretch"
| static

Metadata property name used in acid chunks.

Definition at line 84 of file juce_WavAudioFormat.h.

## ◆ acidTempo

const char *const juce::WavAudioFormat::acidTempo = "acid tempo"
| static

Metadata property name used in acid chunks.

Definition at line 91 of file juce_WavAudioFormat.h.

## ◆ aswgAccent

const char *const juce::WavAudioFormat::aswgAccent = "accent"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 237 of file juce_WavAudioFormat.h.

## ◆ aswgActorGender

const char *const juce::WavAudioFormat::aswgActorGender = "actorGender"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 231 of file juce_WavAudioFormat.h.

## ◆ aswgActorName

const char *const juce::WavAudioFormat::aswgActorName = "actorName"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 230 of file juce_WavAudioFormat.h.

## ◆ aswgAmbisonicChnOrder

const char *const juce::WavAudioFormat::aswgAmbisonicChnOrder = "ambisonicChnOrder"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 193 of file juce_WavAudioFormat.h.

## ◆ aswgAmbisonicFormat

const char *const juce::WavAudioFormat::aswgAmbisonicFormat = "ambisonicFormat"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 192 of file juce_WavAudioFormat.h.

## ◆ aswgAmbisonicNorm

const char *const juce::WavAudioFormat::aswgAmbisonicNorm = "ambisonicNorm"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 194 of file juce_WavAudioFormat.h.

## ◆ aswgArtist

const char *const juce::WavAudioFormat::aswgArtist = "artist"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 240 of file juce_WavAudioFormat.h.

## ◆ aswgBillingCode

const char *const juce::WavAudioFormat::aswgBillingCode = "billingCode"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 263 of file juce_WavAudioFormat.h.

## ◆ aswgCategory

const char *const juce::WavAudioFormat::aswgCategory = "category"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 203 of file juce_WavAudioFormat.h.

## ◆ aswgCatId

const char *const juce::WavAudioFormat::aswgCatId = "catId"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 205 of file juce_WavAudioFormat.h.

## ◆ aswgChannelConfig

const char *const juce::WavAudioFormat::aswgChannelConfig = "channelConfig"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 191 of file juce_WavAudioFormat.h.

## ◆ aswgCharacterAge

const char *const juce::WavAudioFormat::aswgCharacterAge = "characterAge"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 228 of file juce_WavAudioFormat.h.

## ◆ aswgCharacterGender

const char *const juce::WavAudioFormat::aswgCharacterGender = "characterGender"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 227 of file juce_WavAudioFormat.h.

## ◆ aswgCharacterName

const char *const juce::WavAudioFormat::aswgCharacterName = "characterName"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 226 of file juce_WavAudioFormat.h.

## ◆ aswgCharacterRole

const char *const juce::WavAudioFormat::aswgCharacterRole = "characterRole"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 229 of file juce_WavAudioFormat.h.

## ◆ aswgComposor

const char *const juce::WavAudioFormat::aswgComposor = "composor"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 239 of file juce_WavAudioFormat.h.

## ◆ aswgContentType

const char *const juce::WavAudioFormat::aswgContentType = "contentType"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 181 of file juce_WavAudioFormat.h.

## ◆ aswgCreatorId

const char *const juce::WavAudioFormat::aswgCreatorId = "creatorId"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 211 of file juce_WavAudioFormat.h.

## ◆ aswgDirection

const char *const juce::WavAudioFormat::aswgDirection = "direction"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 233 of file juce_WavAudioFormat.h.

## ◆ aswgDirector

const char *const juce::WavAudioFormat::aswgDirector = "director"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 232 of file juce_WavAudioFormat.h.

## ◆ aswgEditor

const char *const juce::WavAudioFormat::aswgEditor = "editor"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 188 of file juce_WavAudioFormat.h.

## ◆ aswgEfforts

const char *const juce::WavAudioFormat::aswgEfforts = "efforts"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 221 of file juce_WavAudioFormat.h.

## ◆ aswgEffortType

const char *const juce::WavAudioFormat::aswgEffortType = "effortType"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 222 of file juce_WavAudioFormat.h.

## ◆ aswgEmotion

const char *const juce::WavAudioFormat::aswgEmotion = "emotion"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 238 of file juce_WavAudioFormat.h.

## ◆ aswgFxChainName

const char *const juce::WavAudioFormat::aswgFxChainName = "fxChainName"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 190 of file juce_WavAudioFormat.h.

## ◆ aswgFxName

const char *const juce::WavAudioFormat::aswgFxName = "fxName"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 209 of file juce_WavAudioFormat.h.

## ◆ aswgFxUsed

const char *const juce::WavAudioFormat::aswgFxUsed = "fxUsed"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 234 of file juce_WavAudioFormat.h.

## ◆ aswgGenre

const char *const juce::WavAudioFormat::aswgGenre = "genre"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 242 of file juce_WavAudioFormat.h.

## ◆ aswgImpulseLocation

const char *const juce::WavAudioFormat::aswgImpulseLocation = "impulseLocation"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 202 of file juce_WavAudioFormat.h.

## ◆ aswgInKey

const char *const juce::WavAudioFormat::aswgInKey = "inKey"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 262 of file juce_WavAudioFormat.h.

## ◆ aswgInstrument

const char *const juce::WavAudioFormat::aswgInstrument = "instrument"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 246 of file juce_WavAudioFormat.h.

## ◆ aswgIntensity

const char *const juce::WavAudioFormat::aswgIntensity = "intensity"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 251 of file juce_WavAudioFormat.h.

## ◆ aswgIsCinematic

const char *const juce::WavAudioFormat::aswgIsCinematic = "isCinematic"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 255 of file juce_WavAudioFormat.h.

## ◆ aswgIsDesigned

const char *const juce::WavAudioFormat::aswgIsDesigned = "isDesigned"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 199 of file juce_WavAudioFormat.h.

## ◆ aswgIsDiegetic

const char *const juce::WavAudioFormat::aswgIsDiegetic = "isDiegetic"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 257 of file juce_WavAudioFormat.h.

## ◆ aswgIsFinal

const char *const juce::WavAudioFormat::aswgIsFinal = "isFinal"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 252 of file juce_WavAudioFormat.h.

## ◆ aswgIsLicensed

const char *const juce::WavAudioFormat::aswgIsLicensed = "isLicensed"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 256 of file juce_WavAudioFormat.h.

## ◆ aswgIsLoop

const char *const juce::WavAudioFormat::aswgIsLoop = "isLoop"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 250 of file juce_WavAudioFormat.h.

## ◆ aswgIsOst

const char *const juce::WavAudioFormat::aswgIsOst = "isOst"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 254 of file juce_WavAudioFormat.h.

## ◆ aswgIsrcId

const char *const juce::WavAudioFormat::aswgIsrcId = "isrcId"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 259 of file juce_WavAudioFormat.h.

## ◆ aswgIsSource

const char *const juce::WavAudioFormat::aswgIsSource = "isSource"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 249 of file juce_WavAudioFormat.h.

## ◆ aswgIsUnion

const char *const juce::WavAudioFormat::aswgIsUnion = "isUnion"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 236 of file juce_WavAudioFormat.h.

## ◆ aswgLanguage

const char *const juce::WavAudioFormat::aswgLanguage = "language"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 224 of file juce_WavAudioFormat.h.

## ◆ aswgLibrary

const char *const juce::WavAudioFormat::aswgLibrary = "library"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 210 of file juce_WavAudioFormat.h.

## ◆ aswgLoudness

const char *const juce::WavAudioFormat::aswgLoudness = "loudness"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 214 of file juce_WavAudioFormat.h.

## ◆ aswgLoudnessRange

const char *const juce::WavAudioFormat::aswgLoudnessRange = "loudnessRange"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 215 of file juce_WavAudioFormat.h.

## ◆ aswgMaxPeak

const char *const juce::WavAudioFormat::aswgMaxPeak = "maxPeak"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 216 of file juce_WavAudioFormat.h.

## ◆ aswgMicConfig

const char *const juce::WavAudioFormat::aswgMicConfig = "micConfig"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 196 of file juce_WavAudioFormat.h.

## ◆ aswgMicDistance

const char *const juce::WavAudioFormat::aswgMicDistance = "micDistance"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 197 of file juce_WavAudioFormat.h.

## ◆ aswgMicType

const char *const juce::WavAudioFormat::aswgMicType = "micType"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 195 of file juce_WavAudioFormat.h.

## ◆ aswgMixer

const char *const juce::WavAudioFormat::aswgMixer = "mixer"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 189 of file juce_WavAudioFormat.h.

## ◆ aswgMusicPublisher

const char *const juce::WavAudioFormat::aswgMusicPublisher = "musicPublisher"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 247 of file juce_WavAudioFormat.h.

## ◆ aswgMusicSup

const char *const juce::WavAudioFormat::aswgMusicSup = "musicSup"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 245 of file juce_WavAudioFormat.h.

## ◆ aswgMusicVersion

const char *const juce::WavAudioFormat::aswgMusicVersion = "musicVersion"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 258 of file juce_WavAudioFormat.h.

## ◆ aswgNotes

const char *const juce::WavAudioFormat::aswgNotes = "notes"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 185 of file juce_WavAudioFormat.h.

## ◆ aswgOrderRef

const char *const juce::WavAudioFormat::aswgOrderRef = "orderRef"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 253 of file juce_WavAudioFormat.h.

## ◆ aswgOriginator

const char *const juce::WavAudioFormat::aswgOriginator = "originator"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 183 of file juce_WavAudioFormat.h.

## ◆ aswgOriginatorStudio

const char *const juce::WavAudioFormat::aswgOriginatorStudio = "originatorStudio"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 184 of file juce_WavAudioFormat.h.

## ◆ aswgPapr

const char *const juce::WavAudioFormat::aswgPapr = "papr"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 219 of file juce_WavAudioFormat.h.

## ◆ aswgProducer

const char *const juce::WavAudioFormat::aswgProducer = "producer"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 244 of file juce_WavAudioFormat.h.

## ◆ aswgProject

const char *const juce::WavAudioFormat::aswgProject = "project"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 182 of file juce_WavAudioFormat.h.

## ◆ aswgProjection

const char *const juce::WavAudioFormat::aswgProjection = "projection"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 223 of file juce_WavAudioFormat.h.

## ◆ aswgRecEngineer

const char *const juce::WavAudioFormat::aswgRecEngineer = "recEngineer"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 200 of file juce_WavAudioFormat.h.

## ◆ aswgRecordingLoc

const char *const juce::WavAudioFormat::aswgRecordingLoc = "recordingLoc"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 198 of file juce_WavAudioFormat.h.

## ◆ aswgRecStudio

const char *const juce::WavAudioFormat::aswgRecStudio = "recStudio"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 201 of file juce_WavAudioFormat.h.

## ◆ aswgRightsOwner

const char *const juce::WavAudioFormat::aswgRightsOwner = "rightsOwner"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 248 of file juce_WavAudioFormat.h.

## ◆ aswgRmsPower

const char *const juce::WavAudioFormat::aswgRmsPower = "rmsPower"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 213 of file juce_WavAudioFormat.h.

## ◆ aswgSession

const char *const juce::WavAudioFormat::aswgSession = "session"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 186 of file juce_WavAudioFormat.h.

## ◆ aswgSongTitle

const char *const juce::WavAudioFormat::aswgSongTitle = "songTitle"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 241 of file juce_WavAudioFormat.h.

## ◆ aswgSourceId

const char *const juce::WavAudioFormat::aswgSourceId = "sourceId"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 212 of file juce_WavAudioFormat.h.

## ◆ aswgSpecDensity

const char *const juce::WavAudioFormat::aswgSpecDensity = "specDensity"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 217 of file juce_WavAudioFormat.h.

## ◆ aswgState

const char *const juce::WavAudioFormat::aswgState = "state"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 187 of file juce_WavAudioFormat.h.

## ◆ aswgSubCategory

const char *const juce::WavAudioFormat::aswgSubCategory = "subCategory"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 204 of file juce_WavAudioFormat.h.

## ◆ aswgSubGenre

const char *const juce::WavAudioFormat::aswgSubGenre = "subGenre"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 243 of file juce_WavAudioFormat.h.

## ◆ aswgTempo

const char *const juce::WavAudioFormat::aswgTempo = "tempo"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 260 of file juce_WavAudioFormat.h.

## ◆ aswgText

const char *const juce::WavAudioFormat::aswgText = "text"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 220 of file juce_WavAudioFormat.h.

## ◆ aswgTimeSig

const char *const juce::WavAudioFormat::aswgTimeSig = "timeSig"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 261 of file juce_WavAudioFormat.h.

## ◆ aswgTimingRestriction

const char *const juce::WavAudioFormat::aswgTimingRestriction = "timingRestriction"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 225 of file juce_WavAudioFormat.h.

## ◆ aswgUsageRights

const char *const juce::WavAudioFormat::aswgUsageRights = "usageRights"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 235 of file juce_WavAudioFormat.h.

## ◆ aswgUserCategory

const char *const juce::WavAudioFormat::aswgUserCategory = "userCategory"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 206 of file juce_WavAudioFormat.h.

## ◆ aswgUserData

const char *const juce::WavAudioFormat::aswgUserData = "userData"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 207 of file juce_WavAudioFormat.h.

## ◆ aswgVendorCategory

const char *const juce::WavAudioFormat::aswgVendorCategory = "vendorCategory"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 208 of file juce_WavAudioFormat.h.

## ◆ aswgVersion

const char *const juce::WavAudioFormat::aswgVersion = "IXML_VERSION"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 264 of file juce_WavAudioFormat.h.

## ◆ aswgZeroCrossRate

const char *const juce::WavAudioFormat::aswgZeroCrossRate = "zeroCrossRate"
| static

Metadata property name used in ASWG/iXML chunks.

Definition at line 218 of file juce_WavAudioFormat.h.

## ◆ bwavCodingHistory

const char *const juce::WavAudioFormat::bwavCodingHistory = "bwav coding history"
| static

Metadata property name used in BWAV chunks.

Definition at line 55 of file juce_WavAudioFormat.h.

Referenced by createBWAVMetadata().

## ◆ bwavDescription

const char *const juce::WavAudioFormat::bwavDescription = "bwav description"
| static

Metadata property name used in BWAV chunks.

Definition at line 50 of file juce_WavAudioFormat.h.

Referenced by createBWAVMetadata().

## ◆ bwavOriginationDate

const char *const juce::WavAudioFormat::bwavOriginationDate = "bwav origination date"
| static

Metadata property name used in BWAV chunks. The format should be: yyyy-mm-dd

Definition at line 53 of file juce_WavAudioFormat.h.

Referenced by createBWAVMetadata().

## ◆ bwavOriginationTime

const char *const juce::WavAudioFormat::bwavOriginationTime = "bwav origination time"
| static

Metadata property name used in BWAV chunks. The format should be: format is: hh-mm-ss

Definition at line 54 of file juce_WavAudioFormat.h.

Referenced by createBWAVMetadata().

## ◆ bwavOriginator

const char *const juce::WavAudioFormat::bwavOriginator = "bwav originator"
| static

Metadata property name used in BWAV chunks.

Definition at line 51 of file juce_WavAudioFormat.h.

Referenced by createBWAVMetadata().

## ◆ bwavOriginatorRef

const char *const juce::WavAudioFormat::bwavOriginatorRef = "bwav originator ref"
| static

Metadata property name used in BWAV chunks.

Definition at line 52 of file juce_WavAudioFormat.h.

Referenced by createBWAVMetadata().

## ◆ bwavTimeReference

const char *const juce::WavAudioFormat::bwavTimeReference = "bwav time reference"
| static

Metadata property name used in BWAV chunks. This is the number of samples from the start of an edit that the file is supposed to begin at. Seems like an obvious mistake to only allow a file to occur in an edit once, but that's the way it is..

See also
  AudioFormatReader::metadataValues, createWriterFor

Definition at line 65 of file juce_WavAudioFormat.h.

Referenced by createBWAVMetadata().

## ◆ internationalStandardRecordingCode

const char *const juce::WavAudioFormat::internationalStandardRecordingCode = "international standard recording code"
| static

Metadata property name used when reading and writing ISRC codes to/from AXML chunks.

Definition at line 272 of file juce_WavAudioFormat.h.

## ◆ ISRC

const char *const juce::WavAudioFormat::ISRC = "ISRC"
| static

Metadata property name used when reading an ISRC code from an AXML chunk.

Definition at line 269 of file juce_WavAudioFormat.h.

## ◆ riffInfoArchivalLocation

const char *const juce::WavAudioFormat::riffInfoArchivalLocation = "IARL"
| static

Metadata property name used in INFO chunks.

Definition at line 96 of file juce_WavAudioFormat.h.

## ◆ riffInfoArtist

const char *const juce::WavAudioFormat::riffInfoArtist = "IART"
| static

Metadata property name used in INFO chunks.

Definition at line 97 of file juce_WavAudioFormat.h.

## ◆ riffInfoBaseURL

const char *const juce::WavAudioFormat::riffInfoBaseURL = "IBSU"
| static

Metadata property name used in INFO chunks.

Definition at line 98 of file juce_WavAudioFormat.h.

## ◆ riffInfoCinematographer

const char *const juce::WavAudioFormat::riffInfoCinematographer = "ICNM"
| static

Metadata property name used in INFO chunks.

Definition at line 99 of file juce_WavAudioFormat.h.

## ◆ riffInfoComment

const char *const juce::WavAudioFormat::riffInfoComment = "CMNT"
| static

Metadata property name used in INFO chunks.

Definition at line 100 of file juce_WavAudioFormat.h.

## ◆ riffInfoComment2

const char *const juce::WavAudioFormat::riffInfoComment2 = "ICMT"
| static

Metadata property name used in INFO chunks.

Definition at line 101 of file juce_WavAudioFormat.h.

## ◆ riffInfoComments

const char *const juce::WavAudioFormat::riffInfoComments = "COMM"
| static

Metadata property name used in INFO chunks.

Definition at line 102 of file juce_WavAudioFormat.h.

## ◆ riffInfoCommissioned

const char *const juce::WavAudioFormat::riffInfoCommissioned = "ICMS"
| static

Metadata property name used in INFO chunks.

Definition at line 103 of file juce_WavAudioFormat.h.

## ◆ riffInfoCopyright

const char *const juce::WavAudioFormat::riffInfoCopyright = "ICOP"
| static

Metadata property name used in INFO chunks.

Definition at line 104 of file juce_WavAudioFormat.h.

## ◆ riffInfoCostumeDesigner

const char *const juce::WavAudioFormat::riffInfoCostumeDesigner = "ICDS"
| static

Metadata property name used in INFO chunks.

Definition at line 105 of file juce_WavAudioFormat.h.

## ◆ riffInfoCountry

const char *const juce::WavAudioFormat::riffInfoCountry = "ICNT"
| static

Metadata property name used in INFO chunks.

Definition at line 106 of file juce_WavAudioFormat.h.

## ◆ riffInfoCropped

const char *const juce::WavAudioFormat::riffInfoCropped = "ICRP"
| static

Metadata property name used in INFO chunks.

Definition at line 107 of file juce_WavAudioFormat.h.

## ◆ riffInfoDateCreated

const char *const juce::WavAudioFormat::riffInfoDateCreated = "ICRD"
| static

Metadata property name used in INFO chunks.

Definition at line 108 of file juce_WavAudioFormat.h.

## ◆ riffInfoDateTimeOriginal

const char *const juce::WavAudioFormat::riffInfoDateTimeOriginal = "IDIT"
| static

Metadata property name used in INFO chunks.

Definition at line 109 of file juce_WavAudioFormat.h.

## ◆ riffInfoDefaultAudioStream

const char *const juce::WavAudioFormat::riffInfoDefaultAudioStream = "ICAS"
| static

Metadata property name used in INFO chunks.

Definition at line 110 of file juce_WavAudioFormat.h.

## ◆ riffInfoDimension

const char *const juce::WavAudioFormat::riffInfoDimension = "IDIM"
| static

Metadata property name used in INFO chunks.

Definition at line 111 of file juce_WavAudioFormat.h.

## ◆ riffInfoDirectory

const char *const juce::WavAudioFormat::riffInfoDirectory = "DIRC"
| static

Metadata property name used in INFO chunks.

Definition at line 112 of file juce_WavAudioFormat.h.

## ◆ riffInfoDistributedBy

const char *const juce::WavAudioFormat::riffInfoDistributedBy = "IDST"
| static

Metadata property name used in INFO chunks.

Definition at line 113 of file juce_WavAudioFormat.h.

## ◆ riffInfoDotsPerInch

const char *const juce::WavAudioFormat::riffInfoDotsPerInch = "IDPI"
| static

Metadata property name used in INFO chunks.

Definition at line 114 of file juce_WavAudioFormat.h.

## ◆ riffInfoEditedBy

const char *const juce::WavAudioFormat::riffInfoEditedBy = "IEDT"
| static

Metadata property name used in INFO chunks.

Definition at line 115 of file juce_WavAudioFormat.h.

## ◆ riffInfoEighthLanguage

const char *const juce::WavAudioFormat::riffInfoEighthLanguage = "IAS8"
| static

Metadata property name used in INFO chunks.

Definition at line 116 of file juce_WavAudioFormat.h.

## ◆ riffInfoEncodedBy

const char *const juce::WavAudioFormat::riffInfoEncodedBy = "CODE"
| static

Metadata property name used in INFO chunks.

Definition at line 117 of file juce_WavAudioFormat.h.

## ◆ riffInfoEndTimecode

const char *const juce::WavAudioFormat::riffInfoEndTimecode = "TCDO"
| static

Metadata property name used in INFO chunks.

Definition at line 118 of file juce_WavAudioFormat.h.

## ◆ riffInfoEngineer

const char *const juce::WavAudioFormat::riffInfoEngineer = "IENG"
| static

Metadata property name used in INFO chunks.

Definition at line 119 of file juce_WavAudioFormat.h.

## ◆ riffInfoFifthLanguage

const char *const juce::WavAudioFormat::riffInfoFifthLanguage = "IAS5"
| static

Metadata property name used in INFO chunks.

Definition at line 120 of file juce_WavAudioFormat.h.

## ◆ riffInfoFirstLanguage

const char *const juce::WavAudioFormat::riffInfoFirstLanguage = "IAS1"
| static

Metadata property name used in INFO chunks.

Definition at line 121 of file juce_WavAudioFormat.h.

## ◆ riffInfoFourthLanguage

const char *const juce::WavAudioFormat::riffInfoFourthLanguage = "IAS4"
| static

Metadata property name used in INFO chunks.

Definition at line 122 of file juce_WavAudioFormat.h.

## ◆ riffInfoGenre

const char *const juce::WavAudioFormat::riffInfoGenre = "GENR"
| static

Metadata property name used in INFO chunks.

Definition at line 123 of file juce_WavAudioFormat.h.

## ◆ riffInfoKeywords

const char *const juce::WavAudioFormat::riffInfoKeywords = "IKEY"
| static

Metadata property name used in INFO chunks.

Definition at line 124 of file juce_WavAudioFormat.h.

## ◆ riffInfoLanguage

const char *const juce::WavAudioFormat::riffInfoLanguage = "LANG"
| static

Metadata property name used in INFO chunks.

Definition at line 125 of file juce_WavAudioFormat.h.

## ◆ riffInfoLength

const char *const juce::WavAudioFormat::riffInfoLength = "TLEN"
| static

Metadata property name used in INFO chunks.

Definition at line 126 of file juce_WavAudioFormat.h.

## ◆ riffInfoLightness

const char *const juce::WavAudioFormat::riffInfoLightness = "ILGT"
| static

Metadata property name used in INFO chunks.

Definition at line 127 of file juce_WavAudioFormat.h.

## ◆ riffInfoLocation

const char *const juce::WavAudioFormat::riffInfoLocation = "LOCA"
| static

Metadata property name used in INFO chunks.

Definition at line 128 of file juce_WavAudioFormat.h.

## ◆ riffInfoLogoIconURL

const char *const juce::WavAudioFormat::riffInfoLogoIconURL = "ILIU"
| static

Metadata property name used in INFO chunks.

Definition at line 129 of file juce_WavAudioFormat.h.

## ◆ riffInfoLogoURL

const char *const juce::WavAudioFormat::riffInfoLogoURL = "ILGU"
| static

Metadata property name used in INFO chunks.

Definition at line 130 of file juce_WavAudioFormat.h.

## ◆ riffInfoMedium

const char *const juce::WavAudioFormat::riffInfoMedium = "IMED"
| static

Metadata property name used in INFO chunks.

Definition at line 131 of file juce_WavAudioFormat.h.

## ◆ riffInfoMoreInfoBannerImage

const char *const juce::WavAudioFormat::riffInfoMoreInfoBannerImage = "IMBI"
| static

Metadata property name used in INFO chunks.

Definition at line 132 of file juce_WavAudioFormat.h.

## ◆ riffInfoMoreInfoBannerURL

const char *const juce::WavAudioFormat::riffInfoMoreInfoBannerURL = "IMBU"
| static

Metadata property name used in INFO chunks.

Definition at line 133 of file juce_WavAudioFormat.h.

## ◆ riffInfoMoreInfoText

const char *const juce::WavAudioFormat::riffInfoMoreInfoText = "IMIT"
| static

Metadata property name used in INFO chunks.

Definition at line 134 of file juce_WavAudioFormat.h.

## ◆ riffInfoMoreInfoURL

const char *const juce::WavAudioFormat::riffInfoMoreInfoURL = "IMIU"
| static

Metadata property name used in INFO chunks.

Definition at line 135 of file juce_WavAudioFormat.h.

## ◆ riffInfoMusicBy

const char *const juce::WavAudioFormat::riffInfoMusicBy = "IMUS"
| static

Metadata property name used in INFO chunks.

Definition at line 136 of file juce_WavAudioFormat.h.

## ◆ riffInfoNinthLanguage

const char *const juce::WavAudioFormat::riffInfoNinthLanguage = "IAS9"
| static

Metadata property name used in INFO chunks.

Definition at line 137 of file juce_WavAudioFormat.h.

## ◆ riffInfoNumberOfParts

const char *const juce::WavAudioFormat::riffInfoNumberOfParts = "PRT2"
| static

Metadata property name used in INFO chunks.

Definition at line 138 of file juce_WavAudioFormat.h.

## ◆ riffInfoOrganisation

const char *const juce::WavAudioFormat::riffInfoOrganisation = "TORG"
| static

Metadata property name used in INFO chunks.

Definition at line 139 of file juce_WavAudioFormat.h.

## ◆ riffInfoPart

const char *const juce::WavAudioFormat::riffInfoPart = "PRT1"
| static

Metadata property name used in INFO chunks.

Definition at line 140 of file juce_WavAudioFormat.h.

## ◆ riffInfoProducedBy

const char *const juce::WavAudioFormat::riffInfoProducedBy = "IPRO"
| static

Metadata property name used in INFO chunks.

Definition at line 141 of file juce_WavAudioFormat.h.

## ◆ riffInfoProductionDesigner

const char *const juce::WavAudioFormat::riffInfoProductionDesigner = "IPDS"
| static

Metadata property name used in INFO chunks.

Definition at line 143 of file juce_WavAudioFormat.h.

## ◆ riffInfoProductionStudio

const char *const juce::WavAudioFormat::riffInfoProductionStudio = "ISDT"
| static

Metadata property name used in INFO chunks.

Definition at line 144 of file juce_WavAudioFormat.h.

## ◆ riffInfoProductName

const char *const juce::WavAudioFormat::riffInfoProductName = "IPRD"
| static

Metadata property name used in INFO chunks.

Definition at line 142 of file juce_WavAudioFormat.h.

## ◆ riffInfoRate

const char *const juce::WavAudioFormat::riffInfoRate = "RATE"
| static

Metadata property name used in INFO chunks.

Definition at line 145 of file juce_WavAudioFormat.h.

## ◆ riffInfoRated

const char *const juce::WavAudioFormat::riffInfoRated = "AGES"
| static

Metadata property name used in INFO chunks.

Definition at line 146 of file juce_WavAudioFormat.h.

## ◆ riffInfoRating

const char *const juce::WavAudioFormat::riffInfoRating = "IRTD"
| static

Metadata property name used in INFO chunks.

Definition at line 147 of file juce_WavAudioFormat.h.

## ◆ riffInfoRippedBy

const char *const juce::WavAudioFormat::riffInfoRippedBy = "IRIP"
| static

Metadata property name used in INFO chunks.

Definition at line 148 of file juce_WavAudioFormat.h.

## ◆ riffInfoSecondaryGenre

const char *const juce::WavAudioFormat::riffInfoSecondaryGenre = "ISGN"
| static

Metadata property name used in INFO chunks.

Definition at line 149 of file juce_WavAudioFormat.h.

## ◆ riffInfoSecondLanguage

const char *const juce::WavAudioFormat::riffInfoSecondLanguage = "IAS2"
| static

Metadata property name used in INFO chunks.

Definition at line 150 of file juce_WavAudioFormat.h.

## ◆ riffInfoSeventhLanguage

const char *const juce::WavAudioFormat::riffInfoSeventhLanguage = "IAS7"
| static

Metadata property name used in INFO chunks.

Definition at line 151 of file juce_WavAudioFormat.h.

## ◆ riffInfoSharpness

const char *const juce::WavAudioFormat::riffInfoSharpness = "ISHP"
| static

Metadata property name used in INFO chunks.

Definition at line 152 of file juce_WavAudioFormat.h.

## ◆ riffInfoSixthLanguage

const char *const juce::WavAudioFormat::riffInfoSixthLanguage = "IAS6"
| static

Metadata property name used in INFO chunks.

Definition at line 153 of file juce_WavAudioFormat.h.

## ◆ riffInfoSoftware

const char *const juce::WavAudioFormat::riffInfoSoftware = "ISFT"
| static

Metadata property name used in INFO chunks.

Definition at line 154 of file juce_WavAudioFormat.h.

## ◆ riffInfoSoundSchemeTitle

const char *const juce::WavAudioFormat::riffInfoSoundSchemeTitle = "DISP"
| static

Metadata property name used in INFO chunks.

Definition at line 155 of file juce_WavAudioFormat.h.

## ◆ riffInfoSource

const char *const juce::WavAudioFormat::riffInfoSource = "ISRC"
| static

Metadata property name used in INFO chunks.

Definition at line 156 of file juce_WavAudioFormat.h.

## ◆ riffInfoSourceFrom

const char *const juce::WavAudioFormat::riffInfoSourceFrom = "ISRF"
| static

Metadata property name used in INFO chunks.

Definition at line 157 of file juce_WavAudioFormat.h.

## ◆ riffInfoStarring_ISTR

const char *const juce::WavAudioFormat::riffInfoStarring_ISTR = "ISTR"
| static

Metadata property name used in INFO chunks.

Definition at line 158 of file juce_WavAudioFormat.h.

## ◆ riffInfoStarring_STAR

const char *const juce::WavAudioFormat::riffInfoStarring_STAR = "STAR"
| static

Metadata property name used in INFO chunks.

Definition at line 159 of file juce_WavAudioFormat.h.

## ◆ riffInfoStartTimecode

const char *const juce::WavAudioFormat::riffInfoStartTimecode = "TCOD"
| static

Metadata property name used in INFO chunks.

Definition at line 160 of file juce_WavAudioFormat.h.

## ◆ riffInfoStatistics

const char *const juce::WavAudioFormat::riffInfoStatistics = "STAT"
| static

Metadata property name used in INFO chunks.

Definition at line 161 of file juce_WavAudioFormat.h.

## ◆ riffInfoSubject

const char *const juce::WavAudioFormat::riffInfoSubject = "ISBJ"
| static

Metadata property name used in INFO chunks.

Definition at line 162 of file juce_WavAudioFormat.h.

## ◆ riffInfoTapeName

const char *const juce::WavAudioFormat::riffInfoTapeName = "TAPE"
| static

Metadata property name used in INFO chunks.

Definition at line 163 of file juce_WavAudioFormat.h.

## ◆ riffInfoTechnician

const char *const juce::WavAudioFormat::riffInfoTechnician = "ITCH"
| static

Metadata property name used in INFO chunks.

Definition at line 164 of file juce_WavAudioFormat.h.

## ◆ riffInfoThirdLanguage

const char *const juce::WavAudioFormat::riffInfoThirdLanguage = "IAS3"
| static

Metadata property name used in INFO chunks.

Definition at line 165 of file juce_WavAudioFormat.h.

## ◆ riffInfoTimeCode

const char *const juce::WavAudioFormat::riffInfoTimeCode = "ISMP"
| static

Metadata property name used in INFO chunks.

Definition at line 166 of file juce_WavAudioFormat.h.

## ◆ riffInfoTitle

const char *const juce::WavAudioFormat::riffInfoTitle = "INAM"
| static

Metadata property name used in INFO chunks.

Definition at line 167 of file juce_WavAudioFormat.h.

## ◆ riffInfoTrackNo

const char *const juce::WavAudioFormat::riffInfoTrackNo = "IPRT"
| static

Metadata property name used in INFO chunks.

Definition at line 168 of file juce_WavAudioFormat.h.

## ◆ riffInfoTrackNumber

const char *const juce::WavAudioFormat::riffInfoTrackNumber = "TRCK"
| static

Metadata property name used in INFO chunks.

Definition at line 169 of file juce_WavAudioFormat.h.

## ◆ riffInfoURL

const char *const juce::WavAudioFormat::riffInfoURL = "TURL"
| static

Metadata property name used in INFO chunks.

Definition at line 170 of file juce_WavAudioFormat.h.

## ◆ riffInfoVegasVersionMajor

const char *const juce::WavAudioFormat::riffInfoVegasVersionMajor = "VMAJ"
| static

Metadata property name used in INFO chunks.

Definition at line 171 of file juce_WavAudioFormat.h.

## ◆ riffInfoVegasVersionMinor

const char *const juce::WavAudioFormat::riffInfoVegasVersionMinor = "VMIN"
| static

Metadata property name used in INFO chunks.

Definition at line 172 of file juce_WavAudioFormat.h.

## ◆ riffInfoVersion

const char *const juce::WavAudioFormat::riffInfoVersion = "TVER"
| static

Metadata property name used in INFO chunks.

Definition at line 173 of file juce_WavAudioFormat.h.

## ◆ riffInfoWatermarkURL

const char *const juce::WavAudioFormat::riffInfoWatermarkURL = "IWMU"
| static

Metadata property name used in INFO chunks.

Definition at line 174 of file juce_WavAudioFormat.h.

## ◆ riffInfoWrittenBy

const char *const juce::WavAudioFormat::riffInfoWrittenBy = "IWRI"
| static

Metadata property name used in INFO chunks.

Definition at line 175 of file juce_WavAudioFormat.h.

## ◆ riffInfoYear

const char *const juce::WavAudioFormat::riffInfoYear = "YEAR"
| static

Metadata property name used in INFO chunks.

Definition at line 176 of file juce_WavAudioFormat.h.

## ◆ tracktionLoopInfo

const char *const juce::WavAudioFormat::tracktionLoopInfo = "tracktion loop info"
| static

Metadata property name used when reading a WAV file with a Tracktion chunk.

Definition at line 275 of file juce_WavAudioFormat.h.

The documentation for this class was generated from the following files:

- juce_WavAudioFormat.h
- juce_WavAudioFormat.cpp